Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.outlet
Class VelocityOutletSaxHandlerFactory

    java.lang.Object
      org.apache.torque.generator.configuration.outlet.VelocityOutletSaxHandlerFactory

All Implemented Interfaces:
  TypedOutletSaxHandlerFactory

    public class VelocityOutletSaxHandlerFactory

extends Object
implements TypedOutletSaxHandlerFactory

Creates Velocity outlet SAX handlers.

Constructor Summary
`VelocityOutletSaxHandlerFactory()`

Method Summary
`OutletSaxHandler` | `getOutletSaxHandler(QualifiedName outletName, ConfigurationProvider configurationProvider, ProjectPaths projectPaths, ConfigurationHandlers configurationHandlers)` Returns a VelocityOutletSaxHandler for reading the configuration of Velocity outlets.
`String` | `getType()` Returns the outlet type which can be handled by the OutletSaxHandlers created by this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityOutletSaxHandlerFactory

    public VelocityOutletSaxHandlerFactory()

Method Detail

### getType

    public String getType()

  Returns the outlet type which can be handled by the OutletSaxHandlers created by this factory.

  Specified by:
    `getType` in interface `TypedOutletSaxHandlerFactory`
  Returns:
    "velocityOutlet".

### getOutletSaxHandler

    public final OutletSaxHandler getOutletSaxHandler(QualifiedName outletName,
                                                      ConfigurationProvider configurationProvider,
                                                      ProjectPaths projectPaths,
                                                      ConfigurationHandlers configurationHandlers)
                                               throws SAXException

  Returns a VelocityOutletSaxHandler for reading the configuration of Velocity outlets. This implementation uses the provided name as outlet name.

  Specified by:
    `getOutletSaxHandler` in interface `TypedOutletSaxHandlerFactory`
  Parameters:
    `outletName` - the name for the outlet which configuration will be read in by the generated SaxHandlerFactory, or null if the name of the outlet should be determined from the parsed xml.
    `configurationProvider` - The access object for the configuration files, not null.
    `projectPaths` - The paths of the surrounding project, not null.
    `configurationHandlers` - the available configuration handlers, not null.
  Returns:
    a new VelocityOutletSaxHandler.
  Throws:
    `SAXException` - if the SAX Handler for the outlet can not be created from the given XML element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.